aboutsummaryrefslogtreecommitdiffstats
path: root/main/pkgconf/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2017-02-26 00:18:29 +0100
committerJakub Jirutka <jakub@jirutka.cz>2017-02-26 00:20:09 +0100
commit212c47733d382b59e107bf47947087084d241902 (patch)
tree4682d140c275f19a92d683644816a245447c8fc5 /main/pkgconf/APKBUILD
parent7c4d197d156ec15b4550abc90556b136a63a0a77 (diff)
downloadaports-212c47733d382b59e107bf47947087084d241902.tar.gz
aports-212c47733d382b59e107bf47947087084d241902.tar.bz2
aports-212c47733d382b59e107bf47947087084d241902.tar.xz
main/pkgconf: move pkg-config back to main pkg
Diffstat (limited to 'main/pkgconf/APKBUILD')
-rw-r--r--main/pkgconf/APKBUILD10
1 files changed, 9 insertions, 1 deletions
diff --git a/main/pkgconf/APKBUILD b/main/pkgconf/APKBUILD
index 8ba113cb3d..190a00c2b4 100644
--- a/main/pkgconf/APKBUILD
+++ b/main/pkgconf/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=pkgconf
pkgver=1.3.0
-pkgrel=0
+pkgrel=1
pkgdesc="development framework configuration tools"
url="https://github.com/pkgconf/pkgconf"
arch="all"
@@ -45,4 +45,12 @@ package() {
ln -s pkgconf "$pkgdir"/usr/bin/pkg-config
}
+dev() {
+ default_dev || return 1
+
+ # Move pkg-config back to main package (default_dev implicitly moves
+ # files /usr/bin/*-config to -dev).
+ mv "$subpkgdir"/usr/bin/pkg-config "$pkgdir"/usr/bin/
+}
+
sha512sums="fa03548950dc53d4cae97eeaa55ec101a7fff71a2df45692cb51da0932aea21027b0d64b13c753f026998b8d31cad2ee13a537a3c4d50b41febdb44999f3bd6a pkgconf-1.3.0.tar.xz"